API DocumentationManufacturer part specification controller

Find part specifications by customer reference

Searches for part specifications matching a specific customer reference string

GET
/api/manufacturer/v1/part-specification/customer-reference
AuthorizationBearer <token>

In: header

valuestring

Response Body

curl -X GET "http://m-api-dev.phas.io/api/manufacturer/v1/part-specification/customer-reference" \  -H "Content-Type: application/json" \  -d '{    "value": "string"  }'
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",
    "partRevisionName": "string",
    "units": "CENTIMETERS",
    "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",
    "materialId": 0,
    "colorId": 0,
    "precisionId": 0,
    "infillId": 0,
    "postProcessingIds": [
      0
    ],
    "customerReferences": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "customerOrganisationId": 0,
        "customerOrganisationName": "string",
        "reference": "string",
        "pricingTiers": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "quantity": 0,
            "price": 0
          }
        ],
        "showInCatalog": true
      }
    ],
    "createdAt": "2019-08-24T14:15:22Z",
    "lastUpdated": "2019-08-24T14:15:22Z",
    "constraints": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "constraintType": "string",
        "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    ]
  }
]
Empty

Last updated on